Skip to content

Payments feed

GET
/api/app/service-provider/payments
curl --request GET \
--url https://test.unipay.co.zw/api/app/service-provider/payments \
--header 'Authorization: Bearer <token>'
afterId
string format: uuid

OK

Media typeapplication/json
Array<object>
object
successful
boolean
message
string
nullable
isNewRecord
boolean
status
string
nullable
errorCode
string
nullable
payments
Array<object>
nullable
object
id
required
string format: uuid
uniqueNo
required
string
>= 1 characters
billNo
required
string
>= 1 characters
serviceProvider
required
string
>= 1 characters
rrn
required
string
>= 1 characters
paymentDate
string format: date-time
currency
required
string
>= 3 characters <= 3 characters
amount
number format: double
accountNumber
string
nullable
allocatedAmount
number format: double
nullable
allocatedCurrency
string
nullable
allocationRate
number format: double
nullable
Examplegenerated
[
{
"successful": true,
"message": "example",
"isNewRecord": true,
"status": "example",
"errorCode": "example",
"payments": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"uniqueNo": "example",
"billNo": "example",
"serviceProvider": "example",
"rrn": "example",
"paymentDate": "2026-04-15T12:00:00Z",
"currency": "example",
"amount": 1,
"accountNumber": "example",
"allocatedAmount": 1,
"allocatedCurrency": "example",
"allocationRate": 1
}
]
}
]

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions